<!-- import aframe and then ar.js with image tracking / location based features -->
<script src="https://cdn.jsdelivr.net/gh/aframevr/aframe@1c2407b26c61958baa93967b5412487cd94b290b/dist/aframe-master.min.js"></script>
<script src="https://raw.githack.com/AR-js-org/AR.js/master/aframe/build/aframe-ar-nft.js"></script>

<!-- style for the loader -->
<style>
  .arjs-loader {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgb(41, 41, 41, 0.85);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .arjs-loader div {
    text-align: center;
    font-size: 1.25em;
    color: white;
  }
</style>
<script>
AFRAME.registerComponent('navigate', {
  schema: {
    url: {default: ''}
  },

  init: function () {
    var data = this.data;
    var el = this.el;
    this.el.addEventListener('markerFound', () => {
        // redirect to custom URL e.g. google.com
        window.location.href = data.url;
      })
      
  }
});  
  // AFRAME.registerComponent('markerhandler', {
  //   init: function () {
  //     this.el.sceneEl.addEventListener('markerFound', () => {
  //       // redirect to custom URL e.g. google.com
  //        window.location = 'https://wiseinmedia.com/AR-MV-main/model-viewer.html?prodId=1';
  //     })
  //   }
  // });
  // AFRAME.registerComponent('markerhandler1', {
  //   init: function () {
  //     this.el.sceneEl.setAttribute('navigate', "url: http://facebook.com");
  //   }
  // });

//   var scene = document.querySelector('a-scene');

// if (scene.hasLoaded) {
//   run();
// } else {
//   scene.addEventListener('loaded', run);
// }
// function run () {
//   var testmarker = document.createElement('a-nft');
//   testmarker.setAttribute('navigate', "url: http://google.com");
//   testmarker.setAttribute('type', "nft");
//   testmarker.setAttribute('url', "https://cdn.glitch.global/a32c7e57-3a54-4d8d-bcc5-0a2589e07360/Chaetostoma-fischeri-cuadro");
// scene.appendChild(testmarker);
// }
AFRAME.registerComponent('do-something', {
  init: function () {
    console.log("happekljhasd");
  // const jsonData= require('assets/prod'+prodId+'/data.json'); 
  var sceneEl = this.el;
  // var testmarker = document.createElement('a-nft');
  fetch("assets/prod1/data.json")
  .then(response => response.json())
  .then(json => {
  var testmarker = document.createElement('a-nft');
  testmarker.setAttribute('navigate', "url: "+json[0].url);
  testmarker.setAttribute('type', "nft");
  testmarker.setAttribute('url', json[0].source);
  sceneEl.appendChild(testmarker);})
 
  fetch("assets/prod2/data.json")
  .then(response => response.json())
  .then(json => {
  var testmarker1 = document.createElement('a-nft');
  testmarker1.setAttribute('navigate', "url: "+json[0].url);
  testmarker1.setAttribute('type', "nft");
  testmarker1.setAttribute('url', json[0].source);
  sceneEl.appendChild(testmarker1);})
  // testmarker.setAttribute('navigate', "url: http://google.com");
  // fetch("assets/prod1/data.json")
  // .then(response => response.json())
  // .then(json => 

  
  // testmarker.setAttribute('navigate', "url: "+json[0].source))
  // fetch("assets/prod1/data.json")
  // .then(response => response.json())
  // .then(json => 
  // sceneEl.appendChild(testmarker))
  // testmarker.setAttribute('url', "https://cdn.glitch.global/a32c7e57-3a54-4d8d-bcc5-0a2589e07360/Chaetostoma-fischeri-cuadro");
  
  }
});
  
  // var el = document.querySelector('#marker1');
  // el.setAttribute("url: http://youtube.com","nft","https://cdn.glitch.global/a32c7e57-3a54-4d8d-bcc5-0a2589e07360/Chaetostoma-fischeri-cuadro");
  // // el.setAttribute('navigate', "url: http://youtube.com");
  // var el2 = document.querySelector('#marker2');
  // el2.setAttribute("url: http://facebook.com","nft","https://cdn.glitch.global/40e74348-7056-4523-ae13-83408d8a8a3a/pinball");
  // // el2.setAttribute('url', "https://cdn.glitch.global/40e74348-7056-4523-ae13-83408d8a8a3a/pinball");
  // // el2.setAttribute('navigate', "url: http://facebook.com");
// var entity = sceneEl.querySelector('a-entity');
</script>
<body style="margin : 0px; overflow: hidden;">
  
  <!-- minimal loader shown until image descriptors are loaded. Loading may take a while according to the device computational power -->
  <div class="arjs-loader">
    <div>Loading, please wait...</div>
  </div>

  <div id="containerinst" class="container-tutorial"> 
    <div id="inst1" class="instrucciones1">         
     <div class="text-tuto">
       <h3>Apunta a las ilustraciones de esta vitrina</h3>
     </div>
     <img src="images/noun-lens-3590906.png" alt="">
   </div>  
   <!-- <div id="inst2" class="instrucciones2">              
     <img src="images/noun-touch-1152972-blanco.png" alt="">
     <h3>Puedes girar el modelo 3D</h3>
   </div> 
    <div id="inst3" class="instrucciones3">              
     <img src="images/noun-touch-1152986-blanco.png" alt="">
     <h3>Puedes hacer zoom a el <br>
       modelo 3D</h3>
   </div>
   <div id="inst4" class="instrucciones4">              
     <h3>Puedes escuchar los 
       audios, dezplegar informacion y ver los creditos 
       de esta experincia. Al 
       terminar puedes regresar 
       para buscar otra ilustracion y descubrir todos 
       los modelos 3D.</h3>
   </div>  -->
 </div>

  <!-- a-frame scene -->
  <a-scene do-something 
  id="scene"
    vr-mode-ui="enabled: false;"
    renderer="logarithmicDepthBuffer: true;"
    embedded
    arjs="trackingMethod: best; sourceType: webcam;debugUIEnabled: false;"
  >
    <!-- a-nft is the anchor that defines an Image Tracking entity -->
    <!-- on 'url' use the path to the Image Descriptors created before. -->
    <!-- the path should end with the name without the extension e.g. if file is 'pinball.fset' the path should end with 'pinball' -->
    <!-- <a-nft
    id="marker1"
    navigate="url: http://gmail.com"
      type="nft"
      url="https://cdn.glitch.global/a32c7e57-3a54-4d8d-bcc5-0a2589e07360/Chaetostoma-fischeri-cuadro"
    >
    </a-nft> -->
    <a-nft>
    </a-nft>
      <!-- static camera that moves according to the device movemenents -->
      <a-entity camera></a-entity>
    </a-scene>

    
  </body>

  <style>
    /* This keeps child nodes hidden while the element loads */
    :not(:defined) > * {
      display: none;
    }
  
    model-viewer {
      background-color: #000000;
      overflow-x: hidden;
      --poster-color: #434448;
    }
  
    #ar-button {
      background-image: url(../../assets/ic_view_in_ar_new_googblue_48dp.png);
      background-repeat: no-repeat;
      background-size: 20px 20px;
      background-position: 12px 50%;
      background-color: #343545;
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      white-space: nowrap;
      bottom: 132px;
      padding: 0px 16px 0px 40px;
      font-family: Roboto Regular, Helvetica Neue, sans-serif;
      font-size: 14px;
      color:#4285f4;
      height: 36px;
      line-height: 36px;
      border-radius: 18px;
      border: 1px solid #DADCE0;
    }
  
    #ar-button:active {
      background-color: #343539;
    }
  
    #ar-button:focus {
      outline: none;
    }
  
    #ar-button:focus-visible {
      outline: 1px solid #4285f4;
    }
  
    @keyframes circle {
      from { transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg); }
      to   { transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg); }
    }
  
    @keyframes elongate {
      from { transform: translateX(100px); }
      to   { transform: translateX(-100px); }
    }
  
    model-viewer > #ar-prompt {
      position: absolute;
      left: 50%;
      bottom: 175px;
      animation: elongate 2s infinite ease-in-out alternate;
      display: none;
    }
  
    model-viewer[ar-status="session-started"] > #ar-prompt {
      display: block;
    }
  
    model-viewer > #ar-prompt > img {
      animation: circle 4s linear infinite;
    }
  
    model-viewer > #ar-failure {
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      bottom: 175px;
      display: none;
    }
  
    model-viewer[ar-tracking="not-tracking"] > #ar-failure {
      display: block;
    }
  
  
  
    .slider {
      width: 100%;
      text-align: center;
      overflow: hidden;
      position: absolute;
      bottom: 14px;
      display: flex;
      justify-content: center;
    }
  
    .slides {
      display: flex;
      overflow-x: auto;
      scroll-snap-type: x mandatory;
      scroll-behavior: smooth;
      -webkit-overflow-scrolling: touch;
    }
  
    .slide {
      scroll-snap-align: start;
      flex-shrink: 0;
      width: 100px;
      height: 100px;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
      background-color: #343539;
      margin-right: 10px;
      border-radius: 10px;
      border: none;
      display: flex;
    }
  
    .slide.selected {
      border: 2px solid #4285f4;
    }
  
    .slide:focus {
      outline: none;
    }
  
    .slide:focus-visible {
      outline: 1px solid #4285f4;
    }
  
    .top {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-top: 13%;
      width: 100%;
      margin-left: 5%;
    }
  
    .logo {
      width: 50%;
    }
  
    .logo2 {
      width: 30%;
    }
  
    .logo2 img {
      width: 66%;
    }
  
    .logo h1 {
      font-size: 170%;
      margin: 0%;
      display: flex;
      justify-content: center;
    }
  
    .redes {
      position: absolute;
      top: 85%;
      display: flex;
      width: 100%;
      justify-content: center;
    }
  
    .redes a {
      width: 13%;
      margin: 1.3%;
    }
  
    .redes img {
      width: 100%;
    }
  
    .botones {
      position: absolute;
      top: 18%;
      right: 5%;
      width: 34%;right: -1%;
      width: 100%;
      display: flex;
      flex-direction: row-reverse;
    }
  
    .botones button {
      background: none;
      border: none;
    }
  
    .botones img {
      width: 48%;
    }
  
    .play-button {
      margin-left: 26%;
    }
  
    .container-tutorial {
      height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgb(41, 41, 41, 0.85);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    }
  
    .instrucciones1 {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
    }
  
    .instrucciones1 img {
      width: 80%;
      z-index: 2;
    }
  
    .text-tuto {
      position: absolute;
      margin: auto;
      text-align: center;
      margin: 20%;
      z-index: 3;
    }
  
    .text-tuto  h3 {
      color: white;
    }
  
    .instrucciones2 {
      display: flex;
      display: none;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      width: 100%;
    }
  
    .instrucciones2 img {
      width: 30%;
      z-index: 2;
    }
  
    .instrucciones2 h3 {
      color: white;
    }
  
    .instrucciones3 {
      display: flex;
      display: none;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      width: 100%;
    }
  
    .instrucciones3 img {
      width: 30%;
      z-index: 2;
    }
  
    .instrucciones3 h3 {
      color: white;
      text-align: center;
    }
  
    .instrucciones4 {
      display: flex;
      display: none;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      width: 100%;
    }
  
    .instrucciones4 h3 {
      color: white;
      text-align: center;
      margin: 20%;
    }
  
    .botones-centro {
      display: flex;
      position: relative;
      height: 40%;
      justify-content: space-between;
    }
  
    .botones-centro img {
      width: 50%;
    }
  
    .botones-centro button {
      background-color: none;
      border: none;
      background: none;
    }
  
    .botones-centro1 {
      display: flex;
      position: relative;
      height: 20%;
      justify-content: space-between;
    }
  
    .botones-centro1 img {
      width: 50%;
    }
  
    .botones-centro1 button {
      background-color: none;
      border: none;
      background: none;
    }
  
  
  
  
  
  </style>
  <!-- <meta name="viewport" content="width=device-width, initial-scale=1"> -->
  <style>
  
    @media (min-width: 500px) {
      .slide {
        width: 110px;
        height: 110px;
      }
      .redes img {
        width: 80%;
      }
      .logo2 img {
        width: 10%;
      }
      .botones {
        right: 3%;
      }
    }
    @media (max-height: 640px){
      .slide {
        width: 80px;
        height: 80px;
      }
      .redes img {
        width: 80%;
      }
      .logo2 img {
        width: 20%;
      }
      .botones {
        top: 22%;
      }.imgmodal {
      width: 90%;
      }
  }
    @media (max-height: 660px){
      .container {
        height: 76%;
      }
      .down-container {
        height: 200%;
      } 
  
  }
  
  @media (max-height: 557px){
      .slide {
        width: 60px;
        height: 60px;
      }
      .redes img {
        width: 80%;
      }
      .logo2 img {
        width: 18%;
      }
      .botones {
        top: 22%;
      }.imgmodal {
      width: 85%;
      }
  }
  
  @media (max-height: 472px){
      .slide {
        width: 50px;
        height: 50px;
      }
      .redes img {
        width: 75%;
      }
      .logo2 img {
        width: 16%;
      }
      .botones {
        top: 22%;
      }.imgmodal {
      width: 85%;
      }
  }
  
    
    
    @media (min-width: 1000px) {
      .slide {
        width: 100px;
        height: 100px;
      }
    }
  
  </style><script>  
    var instcontainer = document.getElementById("containerinst");
    var conuter = 0;
    instcontainer.onclick = function() {
      console.log("happeninnnng");
            if(conuter===0){
      console.log("happeninnnng2");
              document.getElementById("inst1").style.display = "none";
              // document.getElementById("inst2").style.display = "flex";
              document.getElementById("containerinst").style.display = "none"
            }
            // if(conuter==1){
            //   document.getElementById("inst2").style.display = "none";
            //   document.getElementById("inst3").style.display = "flex";
            // }
            // if(conuter==2){
            //   document.getElementById("inst3").style.display = "none";
            //   document.getElementById("inst4").style.display = "flex";
            // }
            // if(conuter==3){
            //   document.getElementById("inst4").style.display = "none";
            //   document.getElementById("containerinst").style.display = "none";
            // }
            conuter ++;
          } 
    </script>
  